#include "scanboard.h"
#include "ui_scanboard.h"

ScanBoard::ScanBoard(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::ScanBoard)
{
    ui->setupUi(this);
}

ScanBoard::~ScanBoard()
{
    delete ui;
}

Qt::CheckState ScanBoard::getCheckState()
{
    return checkState;
}

void ScanBoard::on_applyToAllBox_stateChanged(int arg1)
{
    checkState = (Qt::CheckState)arg1;
}

void ScanBoard::showMeTheTruth(QString resultOfScan)
{
    ui->logger->append(resultOfScan);
}

quint16 ScanBoard::getBaud()
{
    return baud;
}

void ScanBoard::on_baudRateBox_currentTextChanged(const QString &arg1)
{
    baud = arg1.toInt(nullptr, 10);
}
